# -*- coding: UTF-8 -*-
from zope.interface import implements

from Products.azax.BeautifulSoup import BeautifulSoup
from Products.azax.plugins.core.interfaces import IKSSCoreCommands

from azaxview import AzaxBaseView, force_unicode
from deprecated import DeprecatedMethod
from interfaces import IPloneAzaxView

class CalendarView(AzaxBaseView):

    # --
    # Calendar in-place refreshment
    # --

    implements(IPloneAzaxView)

    def refreshCalendar(self, month, year):
        'In-place refreshment of the calendar.'
        month, year = int(month), int(year)
        portlet_id = "thePloneCalendar"
        # render it
        portlet_body = self.macroContent('portlet_calendar/macros/portlet', month=month, year=year)
        # Just replace the result as it is.
        result = force_unicode(portlet_body)
        ksscore = IKSSCoreCommands(self)
        ksscore.replaceHTML(ksscore.getHtmlIdSelector(portlet_id), result)
        return self.render()
