# -*- coding: ISO-8859-15 -*-
# Copyright (c) 2006
# Authors:
#   Godefroid Chapelle <gotcha@bubblenet.be>
#   Balazs Ree <ree@greenfinity.hu>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
__all__ = ('AzaxBaseView', 'force_unicode', 'AzaxUnicodeError', 'AzaxCommands') 

import mimetypes

mimetypes.types_map['.kkt'] = 'text/xml'    # XXX legacy!
mimetypes.types_map['.kukit'] = 'text/xml'

from azaxview import AzaxBaseView
from unicode_quirks import force_unicode, AzaxUnicodeError
from commands import AzaxCommands, AzaxCommand, AzaxParam

try:
    import Products.Five
except ImportError:
    pass
else:
# Allow to build commands from restricted code
    from AccessControl import allow_class
    allow_class(AzaxCommands)
    allow_class(AzaxCommand)
    allow_class(AzaxParam)
    allow_class(AzaxUnicodeError)
    #
    allow_class(AzaxBaseView)

# alias myself to global namespace, in case I am in Products
# this allows to run on Zope2, while configuration can
# import the product as "azax", without Products
try:
    import sys
    if not 'azax' in sys.modules:
    # only 1st import is aliased.
        pass #sys.modules['azax'] = sys.modules[globals()['__name__']]
except ImportError:
    pass

